Modify

Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#2614 closed defect (worksforme)

RB532a + RB502: irq 140: nobody cared

Reported by: acoul <alex@…> Owned by: developers
Priority: normal Milestone:
Component: packages Version:
Keywords: Cc:

Description

On kamikaze snapshot [9444] & latest madwifi openwrt snapshot, 4 x cm9 atheros, the unit is installed on a mountain next to high RF power TV & Cell mobile phone antennas, I get the following:

Linux version 2.6.22.4 (alex@orama) (gcc version 4.2.2) #4 Fri Oct 26 00:53:24 EEST 2007
CPU revision is: 0001800a
Determined physical RAM map:
 memory: 03fffa00 @ 00000400 (usable)
Wasting 32 bytes for tracking 1 unused pages
Initrd not found or empty - disabling initrd
On node 0 totalpages: 16383
  Normal zone: 127 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 16256 pages, LIFO batch:3
Built 1 zonelists.  Total pages: 16256
Kernel command line: console=ttyS0,115200 gpio=16383 kmac=00:0C:42:0A:FB:CA board=500r5 boot=1 block2mtd.block2mtd=/dev/cfa2,131072 root=/dev/mtdblock0 rootfstype=jffs2 init=/etc/preinit
korina mac = 00:0C:42:0A:FB:CA
Primary instruction cache 8kB, physically tagged, 4-way, linesize 16 bytes.
Primary data cache 8kB, 4-way, linesize 16 bytes.
Synthesized TLB refill handler (20 instructions).
Synthesized TLB load handler fastpath (32 instructions).
Synthesized TLB store handler fastpath (32 instructions).
Synthesized TLB modify handler fastpath (31 instructions).
Initializing IRQ's: 168 out of 256
PID hash table entries: 256 (order: 8, 1024 bytes)
calculating r4koff... 001e846c(1999980)
CPU frequency 400.00 MHz
Using 199.998 MHz high precision timer.
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Memory: 61492k/65528k available (1877k kernel code, 3976k reserved, 290k data, 108k init, 0k highmem)
Calibrating delay loop... 398.95 BogoMIPS (lpj=1994752)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
PCI: Initializing PCI
registering PCI controller with io_map_base unset
NET: Registered protocol family 2
Time: MIPS clocksource has been installed.
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
squashfs: version 3.0 (2006/03/15) Phillip Lougher
JFFS2 version 2.2. (NAND) (SUMMARY)  Β© 2001-2006 Red Hat, Inc.
yaffs Oct 26 2007 00:52:08 Installing.
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing disabled
serial8250: ttyS0 at MMIO 0x0 (irq = 104) is a 16550A
cf-mips module loaded
cf-mips: resetting..
cf-mips: identify drive..
cf-mips: CF card detected, C/H/S=980/8/32 sectors=250880 (122MB) Serial=1122020I09U40322
cf-mips: detecting block size
cf-mips: multiple sectors = 1
init done<6> cfa: cfa1 cfa2
Using NAPI with weight 64
eth0: Rx IRQ 40, Tx IRQ 41, 00:0c:42:0a:fb:ca
via-rhine.c:v1.10-LK1.4.3 2007-03-06 Written by Donald Becker
PCI: Enabling device 0000:00:02.0 (0080 -> 0083)
PCI: Setting latency timer of device 0000:00:02.0 to 64
io_map_base of root PCI bus 0000:00 unset.  Trying to continue but you better
fix this issue or report it to linux-mips@linux-mips.org or your vendor.
eth1: VIA Rhine III at 0xb8800000, 00:0c:42:0a:fb:cb, IRQ 142.
eth1: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000.
PCI: Enabling device 0000:00:03.0 (0080 -> 0083)
PCI: Setting latency timer of device 0000:00:03.0 to 64
eth2: VIA Rhine III at 0xb8800100, 00:0c:42:0a:fb:cc, IRQ 143.
eth2: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000.
block2mtd: version $Revision: 1.30 $
Creating 1 MTD partitions on "/dev/cfa2":
0x00000000-0x01020000 : "/dev/cfa2"
block2mtd: mtd0: [/dev/cfa2] erase_size = 128KiB [131072]
NAND device: Manufacturer ID: 0xad, Chip ID: 0xf1 (Hynix NAND 128MiB 3,3V 8-bit)
Scanning device for bad blocks
Bad eraseblock 192 at 0x01800000
Bad eraseblock 646 at 0x050c0000
Bad eraseblock 962 at 0x07840000
Creating 2 MTD partitions on "NAND 128MiB 3,3V 8-bit":
0x00000000-0x00400000 : "Routerboard NAND boot"
0x00400000-0x08000000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
split_squasfs: no squashfs found in "NAND 128MiB 3,3V 8-bit"
TCP vegas registered
NET: Registered protocol family 1
NET: Registered protocol family 17
VFS: Mounted root (jffs2 filesystem).
Freeing unused kernel memory: 108k freed
Warning: unable to open an initial console.
Algorithmics/MIPS FPU Emulator v1.5
wlan: 0.8.4.2 (svn r2756)
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, REGOPS_FUNC)
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (svn r2756)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
ath_pci: 0.9.4.5 (svn r2756)
PCI: Enabling device 0000:00:04.0 (0000 -> 0002)
ath_pci: switching rfkill capability off
ath_pci: switching per-packet transmit power control off
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.9 phy 4.3 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x50000000, irq=142
PCI: Enabling device 0000:00:05.0 (0000 -> 0002)
ath_pci: switching rfkill capability off
ath_pci: switching per-packet transmit power control off
wifi1: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi1: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi1: H/W encryption support: WEP AES AES_CCM TKIP
wifi1: mac 5.9 phy 4.3 radio 3.6
wifi1: Use hw queue 1 for WME_AC_BE traffic
wifi1: Use hw queue 0 for WME_AC_BK traffic
wifi1: Use hw queue 2 for WME_AC_VI traffic
wifi1: Use hw queue 3 for WME_AC_VO traffic
wifi1: Use hw queue 8 for CAB traffic
wifi1: Use hw queue 9 for beacons
wifi1: Atheros 5212: mem=0x50010000, irq=143
PCI: Enabling device 0000:00:0a.0 (0000 -> 0002)
ath_pci: switching rfkill capability off
ath_pci: switching per-packet transmit power control off
wifi2: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi2: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi2: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi2: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi2: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi2: H/W encryption support: WEP AES AES_CCM TKIP
wifi2: mac 5.9 phy 4.3 radio 3.6
wifi2: Use hw queue 1 for WME_AC_BE traffic
wifi2: Use hw queue 0 for WME_AC_BK traffic
wifi2: Use hw queue 2 for WME_AC_VI traffic
wifi2: Use hw queue 3 for WME_AC_VO traffic
wifi2: Use hw queue 8 for CAB traffic
wifi2: Use hw queue 9 for beacons
wifi2: Atheros 5212: mem=0x50020000, irq=140
PCI: Enabling device 0000:00:0b.0 (0000 -> 0002)
ath_pci: switching rfkill capability off
ath_pci: switching per-packet transmit power control off
wifi3: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi3: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi3: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi3: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi3: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi3: H/W encryption support: WEP AES AES_CCM TKIP
wifi3: mac 5.9 phy 4.3 radio 3.6
wifi3: Use hw queue 1 for WME_AC_BE traffic
wifi3: Use hw queue 0 for WME_AC_BK traffic
wifi3: Use hw queue 2 for WME_AC_VI traffic
wifi3: Use hw queue 3 for WME_AC_VO traffic
wifi3: Use hw queue 8 for CAB traffic
wifi3: Use hw queue 9 for beacons
wifi3: Atheros 5212: mem=0x50030000, irq=141
irq 140: nobody cared (try booting with the "irqpoll" option)
Call Trace:[<801086f8>][<801086f8>][<80148334>][<801485a8>][<801475b8>][<801476ec>][<8014768c>][<80101e34>][<801026c0>][<801476d4>][<801475a0>][<801476d4>][<8014768c>][<80101e34>][<801026c0>][<801476d4>][<801475a0>][<801476d4>][<8014768c>][<8025a340>][<80101e34>][<c0142284>][<c00d66c4>][<801026c0>][<801475b8>][<801274ac>][<801273b4>][<801026c0>][<801274ac>][<801274ac>][<801026c0>][<801021f4>][<80337820>][<801047cc>][<801021f8>][<802d2048>][<80204358>][<80320cf4>][<80320cd8>][<80320284>]
handlers:
[<c00e3a44>]
Disabling IRQ #140
warning: end_irq 140 did not enable (200)
irq 141: nobody cared (try booting with the "irqpoll" option)
Call Trace:[<801086f8>][<801086f8>][<80148334>][<801485a8>][<801475b8>][<801476ec>][<8014768c>][<c00c0a14>][<801475b8>][<80101e34>][<801026c0>][<801476d4>][<801475a0>][<801476d4>][<8014768c>][<8025a340>][<c01420ac>][<80101e34>][<c0142284>][<c00d66c4>][<801026c0>][<801475b8>][<801274ac>][<801273b4>][<801026c0>][<801274ac>][<801274ac>][<80337820>][<801026c0>][<801021f4>][<80337820>][<801047cc>][<801021f8>][<802d2048>][<80204358>][<80320cf4>][<80320cd8>][<80320284>]
handlers:
[<c00e3a44>]
Disabling IRQ #141
warning: end_irq 141 did not enable (200)
root@dait-new-imitos:~$ cat /proc/interrupts
           CPU0
  7:     597320           RB500  timer
 40:        421           RB500  Korina ethernet Rx
 41:        444           RB500  Korina ethernet Tx
104:          8           RB500  serial
114:          0           RB500  Ethernet Underflow
140:     200000           RB500  wifi2
141:     200000           RB500  wifi3
142:      46385           RB500  wifi0
143:      59076           RB500  wifi1
149:       1276           RB500  CF Mips

ERR:          0

Attachments (0)

Change History (3)

comment:1 Changed 10 years ago by acoul <alex@…>

On a fresh reboot, all seem to work just fine. the above issue happens after a few minutes or hours.

comment:2 Changed 10 years ago by nbd

  • Resolution set to worksforme
  • Status changed from new to closed

should be working with the madwifi in latest trunk. please confirm

comment:3 Changed 10 years ago by acoul <alex at ozo.com>

this issue happens when there are more than two atheros wifi cards installed on the RB532 through the expansion card RB502 which adds two extra miniPCI slots. since this was a major issue, I stopped using more that 2 atheros wifi cards on the RB532 boards. using 2 atheros and 2 prism2.5 on a RB532 along with RB502 is working fine non-stop out on the field for couple of months. I have an RB532 and RB502 on the lab and I will give it a try though.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.